<?php
namespace nur\sery\db;

/**
 * Class CapacitorChannel: un canal d'une instance de {@link ICapacitor}
 */
class CapacitorChannel {
  const NAME = null;

  static function verifix_name(?string $name): string {
    if ($name === null) $name = "default";
    return strtolower($name);
  }

  function __construct(?string $name=null) {
    $this->name = self::verifix_name($name ?? static::NAME);
    $this->created = false;
  }

  /** @var string */
  protected $name;

  function getName(): string {
    return $this->name;
  }

  function getTableName(): string {
    return $this->name."_channel";
  }

  protected $created;

  function isCreated(): bool {
    return $this->created;
  }

  function setCreated(bool $created=true): void {
    $this->created = $created;
  }

  function getKeyDefinitions(): ?array {
    return null;
  }

  function getKeyValues($item): ?array {
    return null;
  }
}
